Вопрос по iframe – SimpleModal не работает в IE 9 (внутри Iframe)

5

Я получаю следующую ошибку при использовании IE 9 (Chrome и FireFox прекрасно работают):

SCRIPT438: Object doesn't support property or method 'removeExpression' jquery.simplemodal.1.4.2.min.js, line 16 character 133

Простой модал вызывается внутри Iframe. jQuery.min (1.7.1) включен перед SimpleModal (1.4.2) в Iframe.

Код, отвечающий за показ модального диалога:

function OpenContextByClass(cssClass, posY, posX) {
    var winHeight = $(window).height();
    var winWidth = $(window).width();

    $('.' + cssClass).modal({
        overlayClose: true,
        position: [posY, posX],
        appendTo: 'form',
        onOpen: function (dialog) { dialog.overlay.fadeIn('fast', function () { dialog.container.slideDown('fast', function () { dialog.data.fadeIn('fast'); }); }); },
        onShow: function (d) {
            var self = this;
            self.container = d.container[0];
            var title = $('.' + cssClass, self.container);
            title.show();
            $('.' + cssClass, self.container).show();

            setTimeout(function () {
                var currentPositionX = posX;
                var currentPositionY = posY;
                var currentWidth = $('.' + cssClass, self.container).width() + 50;
                var currentHeight = $('.' + cssClass, self.container).height() + 50;
                posY = (currentPositionY + currentHeight) < winHeight ? currentPositionY : (winHeight - currentHeight);
                posX = (currentPositionX + currentWidth) < winWidth ? currentPositionX : (winWidth - currentWidth);

                d.container.animate(
                                { left: posX, top: posY },
                                500,
                                function () {
                                    $('.' + cssClass, self.container).show();
                                }
                            );
            }, 550);
        }
    });
}
На этот вопрос разработчик ответил.stackoverflow.com/questions/12046242/… Justin
Простой модал прекрасно работает для меня в IE9 с jQuery 1.7.1, но ломается, когда я обновляю jQuery до 1.8.0. Вы уверены, что использовали 1.7.1? Eric J.
Я открыл похожую, но немного другую проблемуstackoverflow.com/q/12046242/141172 Eric J.
@Eric J. У меня нет доступа к проекту. Но я думаю, что это было 1.7.1. Ranaghar

Ваш Ответ

1   ответ
1

У меня такая же проблема. И я нашел эту статью:http://help.dottoro.com/ljuvxilu.php

The support for dynamic properties has been removed in Internet Explorer 9, so none of the getExpression, removeExpression, setExpression and recalc methods are supported. These methods exist in version 8, but using them raises exceptions.

Похожие вопросы